#
# spec file for package libexif (Version 0.5.12)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         libexif
URL:          http://libexif.sourceforge.net
License:      GPL
Group:        Development/Libraries/C and C++
Summary:      An EXIF tag parsing library for digital cameras
Version:      0.5.12
Release:      122
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      %{name}-%{version}.tar.bz2
Patch0:       %name-%version-overflow.patch

%description
This library is used to parse EXIF information from JPEGs created by
digital cameras.



Authors:
--------
    Lutz Mller <lutz@users.sourceforge.net>
    Curtis Galloway <curtisg@users.sourceforge.net>

%prep 
%setup -q
%patch0 -p1

%build
CFLAGS="$CFLAGS $RPM_OPT_FLAGS" 	\
	./configure 			\
		--prefix=/usr		\
		--libdir=%{_libdir}	\
		--disable-static
make

%install
make DESTDIR=${RPM_BUILD_ROOT}/ install-strip
perl -pi -e 'if (/^Cflags:/) { s/^(Cflags:\s\S*)\s.*/\1/; }' ${RPM_BUILD_ROOT}/usr/lib/pkgconfig/libexif.pc

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README AUTHORS INSTALL ChangeLog COPYING 
%{_libdir}/lib*
%{_libdir}/pkgconfig/*
/usr/include/*
/usr/share/locale/*/LC_MESSAGES/libexif*.mo

%changelog -n libexif
* Fri Apr 01 2005 - meissner@suse.de
- Fixed overflows in exif_data_load_data. CAN-2005-0664 / #70887
* Wed Aug 06 2003 - meissner@suse.de
- Upgreaded to upstream 0.5.12:
- fixed endless loops and crashes on invalid exif data.
- translation updates.
* Mon Jul 21 2003 - meissner@suse.de
- Upgraded to upstream 0.5.10.
* Tue May 13 2003 - meissner@suse.de
- Upgraded to current CVS 0.5.9 (just some bugfixes).
- Package translations too.
* Wed Jan 08 2003 - meissner@suse.de
- Upgraded to upstream 0.5.9.
* Mon Dec 02 2002 - meissner@suse.de
- Upgraded to upstream 0.5.7.
* Mon Nov 18 2002 - meissner@suse.de
- Upgraded to 0.5.6 in preparation of gphoto2-2.1.1.
* Wed Jul 24 2002 - meissner@suse.de
- Upgraded to 0.5.3. Do not include static libraries.
* Mon Feb 11 2002 - meissner@suse.de
- make sure we do not include -I/usr/include into the cflags got from pkgconfig
  or we confuse gcc 3 -Wall -Werror
* Mon Feb 04 2002 - meissner@suse.de
- JPEG/EXIF tag parsing library for use by gphoto / gtkam
  (EXIF tags store EXtended InFormation of images taking by digital cameras)
